pcl::poisson::Point3D< Real > Struct Template Reference

`#include <pcl/surface/3rdparty/poisson4/geometry.h>`

## Public Member Functions

| Point3D (void)
Real & | operator[] (int i)
const Real & | operator[] (int i) const
Point3D & | operator+= (Point3D p)
Point3D & | operator-= (Point3D p)
Point3D & | operator*= (Real r)
Point3D & | operator/= (Real r)
Point3D | operator+ (Point3D p) const
Point3D | operator- (Point3D p) const
Point3D | operator* (Real r) const
Point3D | operator/ (Real r) const

## Public Attributes

Real | coords [3]

## Detailed Description

### template<class Real>
struct pcl::poisson::Point3D< Real >

Definition at line 50 of file geometry.h.

## Constructor & Destructor Documentation

template<class Real>

pcl::poisson::Point3D< Real >::Point3D | ( | void |  | ) |

inline

Definition at line 53 of file geometry.h.

## Member Function Documentation

template<class Real>

Point3D pcl::poisson::Point3D< Real >::operator* | ( | Real | r | ) | const

inline

Definition at line 62 of file geometry.h.

template<class Real>

Point3D& pcl::poisson::Point3D< Real >::operator*= | ( | Real | r | ) |

inline

Definition at line 58 of file geometry.h.

template<class Real>

Point3D pcl::poisson::Point3D< Real >::operator+ | ( | Point3D< Real > | p | ) | const

inline

Definition at line 60 of file geometry.h.

template<class Real>

Point3D& pcl::poisson::Point3D< Real >::operator+= | ( | Point3D< Real > | p | ) |

inline

Definition at line 56 of file geometry.h.

template<class Real>

Point3D pcl::poisson::Point3D< Real >::operator- | ( | Point3D< Real > | p | ) | const

inline

Definition at line 61 of file geometry.h.

template<class Real>

Point3D& pcl::poisson::Point3D< Real >::operator-= | ( | Point3D< Real > | p | ) |

inline

Definition at line 57 of file geometry.h.

template<class Real>

Point3D pcl::poisson::Point3D< Real >::operator/ | ( | Real | r | ) | const

inline

Definition at line 63 of file geometry.h.

template<class Real>

Point3D& pcl::poisson::Point3D< Real >::operator/= | ( | Real | r | ) |

inline

Definition at line 59 of file geometry.h.

template<class Real>

Real& pcl::poisson::Point3D< Real >::operator[] | ( | int | i | ) |

inline

Definition at line 54 of file geometry.h.

template<class Real>

const Real& pcl::poisson::Point3D< Real >::operator[] | ( | int | i | ) | const

inline

Definition at line 55 of file geometry.h.

## Member Data Documentation

template<class Real>

Real pcl::poisson::Point3D< Real >::coords[3]

Definition at line 52 of file geometry.h.

Referenced by pcl::poisson::Triangulation< Real >::area(), pcl::poisson::OctNode< NodeData, Real >::CenterAndWidth(), pcl::poisson::OctNode< NodeData, Real >::centerAndWidth(), pcl::poisson::OctNode< NodeData, Real >::CornerIndex(), pcl::poisson::CrossProduct(), pcl::poisson::EdgeCollapse(), pcl::poisson::OctNode< NodeData, Real >::getNearestLeaf(), pcl::poisson::Point3D< float >::operator*(), pcl::poisson::Point3D< float >::operator+(), pcl::poisson::Point3D< float >::operator+=(), pcl::poisson::Point3D< float >::operator-(), pcl::poisson::Point3D< float >::operator-=(), pcl::Poisson< PointNT >::performReconstruction(), pcl::poisson::OctNode< NodeData, Real >::printRange(), pcl::poisson::RandomBallPoint(), pcl::poisson::RandomSpherePoint(), pcl::poisson::SquareDistance(), pcl::poisson::SquareLength(), pcl::poisson::TriangleCollapse(), and pcl::Poisson< PointNT >::~Poisson().

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/geometry.h